

ไม่พบรายการที่ตรงกัน ลอง “วิดีโอ”, “FLUX” หรือ “webhooks”
กำลังโหลดโมเดล…
nano-banana-pro
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nano-banana-pro?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Cinematic portrait of a young woman with long, silky dark brown hair, sitting and resting her chin on her hand, gazing softly off to the side with a gentle smile. She wears a deep crimson red flowy dress with puffed sleeves and a textured, crinkled fabric. Small floral pearl-and-crystal stud earrings. Dramatic low-key lighting: a single warm window light casting geometric window-shadow patterns on a dark wall, soft glow on her face, deep black background. Rosy cheeks, soft natural makeup, dreamy and romantic mood. Shallow depth of field, 85mm lens, ultra-detailed skin texture, rich contrast, moody studio photography, vertical 9:16",
"aspect_ratio": "9:16",
"resolution": "1K"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/nano-banana-pro?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Cinematic portrait of a young woman with long, silky dark brown hair, sitting and resting her chin on her hand, gazing softly off to the side with a gentle smile. She wears a deep crimson red flowy dress with puffed sleeves and a textured, crinkled fabric. Small floral pearl-and-crystal stud earrings. Dramatic low-key lighting: a single warm window light casting geometric window-shadow patterns on a dark wall, soft glow on her face, deep black background. Rosy cheeks, soft natural makeup, dreamy and romantic mood. Shallow depth of field, 85mm lens, ultra-detailed skin texture, rich contrast, moody studio photography, vertical 9:16",
"aspect_ratio": "9:16",
"resolution": "1K"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Cinematic portrait of a young woman with long, silky dark brown hair, sitting and resting her chin on her hand, gazing softly off to the side with a gentle smile. She wears a deep crimson red flowy dress with puffed sleeves and a textured, crinkled fabric. Small floral pearl-and-crystal stud earrings. Dramatic low-key lighting: a single warm window light casting geometric window-shadow patterns on a dark wall, soft glow on her face, deep black background. Rosy cheeks, soft natural makeup, dreamy and romantic mood. Shallow depth of field, 85mm lens, ultra-detailed skin texture, rich contrast, moody studio photography, vertical 9:16",
"aspect_ratio": "9:16",
"resolution": "1K",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/nano-banana-pro", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/th/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "nano-banana-pro",
"input": {
"prompt": "Cinematic portrait of a young woman with long, silky dark brown hair, sitting and resting her chin on her hand, gazing softly off to the side with a gentle smile. She wears a deep crimson red flowy dress with puffed sleeves and a textured, crinkled fabric. Small floral pearl-and-crystal stud earrings. Dramatic low-key lighting: a single warm window light casting geometric window-shadow patterns on a dark wall, soft glow on her face, deep black background. Rosy cheeks, soft natural makeup, dreamy and romantic mood. Shallow depth of field, 85mm lens, ultra-detailed skin texture, rich contrast, moody studio photography, vertical 9:16",
"aspect_ratio": "9:16",
"resolution": "1K"
}
}
เรียกใช้โมเดล Nano Banana Pro (nano-banana-pro) ผ่าน Doitong API เอกสารสำหรับเอเจนต์: https://doitong.com/th/developers/models/nano-banana-pro.md
POST https://api.doitong.com/v1/run/nano-banana-pro?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "Cinematic portrait of a young woman with long, silky dark brown hair, sitting and resting her chin on her hand, gazing softly off to the side with a gentle smile. She wears a deep crimson red flowy dress with puffed sleeves and a textured, crinkled fabric. Small floral pearl-and-crystal stud earrings. Dramatic low-key lighting: a single warm window light casting geometric window-shadow patterns on a dark wall, soft glow on her face, deep black background. Rosy cheeks, soft natural makeup, dreamy and romantic mood. Shallow depth of field, 85mm lens, ultra-detailed skin texture, rich contrast, moody studio photography, vertical 9:16",
"aspect_ratio": "9:16",
"resolution": "1K"
}
หากสถานะการตอบกลับเป็น "queued" หรือ "running" ให้ส่งคำขอแบบสำรวจ GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 จนกว่าจะเป็น "succeeded" ไฟล์อยู่ใน outputs[].url การส่ง POST https://api.doitong.com/v1/quote/nano-banana-pro ด้วยบอดี้เดียวกันจะแสดงราคาที่แน่นอนก่อนเรียกใช้
คำขอนี้: $0.15 150 เครดิต API เรียกใช้ในหน้านี้
คีย์ API ใหม่ของคุณ คีย์นี้จะแสดงเฉพาะตอนนี้ และมีอยู่ในโค้ดและช่องคีย์ API ด้านล่างแล้ว เก็บเป็นความลับ: อย่าใส่คีย์นี้ไว้ในโค้ดที่ทำงานบนเบราว์เซอร์
พรอมต์Cinematic portrait of a young woman with long, silky dark brown hair, sitting and resting her chin on her hand, gazing softly off to the side with a gentle smile. She wears a deep crimson red flowy dress with puffed sleeves and a textured, crinkled fabric. Small floral pearl-and-crystal stud earrings. Dramatic low-key lighting: a single warm window light casting geometric window-shadow patterns on a dark wall, soft glow on her face, deep black background. Rosy cheeks, soft natural makeup, dreamy and romantic mood. Shallow depth of field, 85mm lens, ultra-detailed skin texture, rich contrast, moody studio photography, vertical 9:16
ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า
/run/nano-banana-pro?wait=20
ใบเสนอราคา → $0.15
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nano-banana-pro?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Cinematic portrait of a young woman with long, silky dark brown hair, sitting and resting her chin on her hand, gazing softly off to the side with a gentle smile. She wears a deep crimson red flowy dress with puffed sleeves and a textured, crinkled fabric. Small floral pearl-and-crystal stud earrings. Dramatic low-key lighting: a single warm window light casting geometric window-shadow patterns on a dark wall, soft glow on her face, deep black background. Rosy cheeks, soft natural makeup, dreamy and romantic mood. Shallow depth of field, 85mm lens, ultra-detailed skin texture, rich contrast, moody studio photography, vertical 9:16",
"aspect_ratio": "9:16",
"resolution": "1K"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/nano-banana-pro?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Cinematic portrait of a young woman with long, silky dark brown hair, sitting and resting her chin on her hand, gazing softly off to the side with a gentle smile. She wears a deep crimson red flowy dress with puffed sleeves and a textured, crinkled fabric. Small floral pearl-and-crystal stud earrings. Dramatic low-key lighting: a single warm window light casting geometric window-shadow patterns on a dark wall, soft glow on her face, deep black background. Rosy cheeks, soft natural makeup, dreamy and romantic mood. Shallow depth of field, 85mm lens, ultra-detailed skin texture, rich contrast, moody studio photography, vertical 9:16",
"aspect_ratio": "9:16",
"resolution": "1K"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Cinematic portrait of a young woman with long, silky dark brown hair, sitting and resting her chin on her hand, gazing softly off to the side with a gentle smile. She wears a deep crimson red flowy dress with puffed sleeves and a textured, crinkled fabric. Small floral pearl-and-crystal stud earrings. Dramatic low-key lighting: a single warm window light casting geometric window-shadow patterns on a dark wall, soft glow on her face, deep black background. Rosy cheeks, soft natural makeup, dreamy and romantic mood. Shallow depth of field, 85mm lens, ultra-detailed skin texture, rich contrast, moody studio photography, vertical 9:16",
"aspect_ratio": "9:16",
"resolution": "1K",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/nano-banana-pro", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "nano-banana-pro",
"input": {
"prompt": "Cinematic portrait of a young woman with long, silky dark brown hair, sitting and resting her chin on her hand, gazing softly off to the side with a gentle smile. She wears a deep crimson red flowy dress with puffed sleeves and a textured, crinkled fabric. Small floral pearl-and-crystal stud earrings. Dramatic low-key lighting: a single warm window light casting geometric window-shadow patterns on a dark wall, soft glow on her face, deep black background. Rosy cheeks, soft natural makeup, dreamy and romantic mood. Shallow depth of field, 85mm lens, ultra-detailed skin texture, rich contrast, moody studio photography, vertical 9:16",
"aspect_ratio": "9:16",
"resolution": "1K"
},
"wait_seconds": 20
}
}
}
คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API
ผลงานสาธารณะที่สร้างด้วย Nano Banana Pro โดยชุมชน Doitong นำพรอมต์กลับมาใช้ได้ในคลิกเดียว
Strong rule: style --- 3d Pixar ---. Крупный план: Сая сладко спит в своей кроватке, её личико полностью расслаблено, губы слегка приоткрыты. Она укрыта мягким пледом с изображением звезд. Свет ночника создает длинные, мягкие тени на стене. Атмосфера абсолютного покоя, счастья и завершенности....
Strong rule: style --- 3d Pixar ---. Крупный план рук отца, которые аккуратно и медленно поправляют край вязаного шерстяного одеяла нежно-голубого цвета вокруг малыша. Фокус направлен на текстуру ткани и осторожные, любящие движения пальцев. Освещение мягкое, рассеянное, исходящее от приоткрытой...
Strong rule: style --- Реалистичная 3D-анимация, Cinematic Lighting, P... ---. Женщина-астролог слегка улыбается. В комнате становится заметно теплее по цвету. За панорамным окном город уже не холодный — мягкие, теплые вечерние огни. Character appearance reference (MUST match exactly): -...
Strong rule: style --- 3D Pixar ---. Крупный план лица Мирры в полумраке современной эзотерической студии. На фоне видны мерцающие свечи и антикварные зеркала, создающие глубокие тени. Освещение контрастное, боковое, подчеркивающее острые скулы и пронзительный взгляд. Атмосфера таинственная и...
Strong rule: style --- 3D Pixar ---. Зеркало в спальне с размытым отражением, ночным столиком, вазой цветов и приглушенным светом. Крупный план отражения в зеркале, слегка distorted. Мягкий лунный свет через занавески создает серебристые блики. Атмосфера меланхоличная и рефлексивная, полная...
Full-body character reference of the character shown in the reference film frame: exactly the same design, shape, proportions, colors, materials, wear and markings. Standing, front three-quarter view, the whole figure in frame, neutral dark studio background, soft even light, photorealistic,...
Strong rule: style --- 3D Pixar ---. Тихая детская Pixar 3D, пастельный интерьер, окно с diffused светом, кровать с подушками, атмосфера паузы. Мама с закрытыми глазами, Саи смотрит вверх с лёгким напряжением. Средний план, высокий угол сверху, мягкий свет создаёт интимные тени. Атмосфера...
Strong rule: style --- 3d Pixar ---. Экстремальный макроплан: крошечная, розовая ладошка младенца крепко обхватывает указательный палец взрослого мужчины. Фон полностью размыт, превращаясь в мягкие световые пятна боке. Свет падает сверху, подчеркивая каждую складочку и крошечный ноготок на руке...
Strong rule: style --- Реалистичная 3D-анимация, Cinematic Lighting, P... ---. Женщина-астролог сидит за столом. На планшете — деловая переписка, графики роста. Холодный свет начинает смешиваться с более нейтральным балансом. Character appearance reference (MUST match exactly): - Астролог: Strong...
Strong rule: style --- Реалистичная 3D-анимация, Cinematic Lighting, P... ---. Крупный план лица женщины-астролога. Тёплый, насыщенный янтарный свет. В глазах — лёгкая интрига. Фон слегка затемняется для концентрации внимания. Рядом в расфокусе ярко горит свеча. Character appearance reference...
Strong rule: style --- Реалистичная 3D-анимация, Cinematic Lighting, P... ---. Крупный план лица женщины-астролога. Холодный свет почти исчез, но на фоне ещё остаётся лёгкая синяя глубина. Взгляд серьёзный, проницательный. Character appearance reference (MUST match exactly): - Астролог: Strong...
Strong rule: style --- 3D Pixar ---. Elena sitting at a small kitchen table, staring blankly at a massive mountain of school notebooks, holding a steaming mug of coffee, gloomy morning atmosphere, 3D Pixar style. Character appearance reference (MUST match exactly): - Елена: A 35-year-old woman,...
Full-body character reference of the character shown in the reference film frame: exactly the same design, shape, proportions, colors, materials, wear and markings. Standing, front three-quarter view, the whole figure in frame, neutral dark studio background, soft even light, photorealistic,...
Recreate this exact cinematic film shot from the reference image as a brand-new photorealistic render. Match exactly: the composition and framing, the camera angle and lens, the lighting direction, the light rays and haze, the color grade, and the design of every object and character, including...
Recreate this exact cinematic film shot from the reference image as a brand-new photorealistic render. Match exactly: the composition and framing, the camera angle and lens, the lighting direction, the light rays and haze, the color grade, and the design of every object and character, including...
Strong rule: style --- 3D Pixar ---. Общий план детской комнаты. Кроватка Алисы стоит в самом центре как островок тишины. Вокруг нее — настоящий вихрь из родителей, подгузников, бутылочек и детской одежды. Мама и папа застыли в динамичных, смешных позах, сталкиваясь друг с другом. Освещение...
โมเดลภาพที่ใช้ Gemini ซึ่งวิเคราะห์พรอมต์ก่อนวาดภาพ ทำให้โปสเตอร์ อินโฟกราฟิก เมนู และภาพสินค้าที่มีข้อความอ่านได้ออกมาถูกต้องบ่อยกว่าโมเดลที่ใช้ diffusion เพียงอย่างเดียว เลือกเอาต์พุต 1K, 2K หรือ 4K และอัตราส่วนภาพทั่วไปใดก็ได้ พร้อมให้โมเดลค้นข้อมูลบนเว็บเพื่ออ้างอิงภาพกับข้อเท็จจริงปัจจุบันได้ตามต้องการ รองรับภาพสูงสุด 4 ภาพต่อคำขอ
ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน
promptจำเป็น
num_imagesไม่บังคับ
num_outputs
seedไม่บังคับ
aspect_ratioไม่บังคับ
output_formatไม่บังคับ
safety_toleranceไม่บังคับ
system_promptไม่บังคับ
resolutionไม่บังคับ
limit_generationsไม่บังคับ
enable_web_searchไม่บังคับ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "nano-banana-pro",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 150,
"usd": "0.15",
"charged": 150,
"refunded": 0
},
"input": {
"prompt": "A minimalist poster for a jazz night called \"Blue Hour\", a saxophone silhouette against a deep blue sky, bold sans-serif title",
"aspect_ratio": "3:4",
"resolution": "2K"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"description": "string"
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/nano-banana-pro.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt